
Ryzom - Bug # 872

Status: Closed Priority: Normal
Author: rti Category: Build
Created: 05/10/2010 Assignee: rti
Updated: 07/16/2010 Due date:
Subject: NEL: build on Mac OS X 64bit (Patch included)
Description

    -  Some Mac OS X specific stuff for building NEL (includes / libraries to link)
    -  ThreadID datatype changed from uint to size_t for 64bit

History
#1 - 05/12/2010 12:28 pm - rti
- File nel_build_fix_mac_64bit_macports_addition.patch added

To fix warnings about thread safety at runtime, the following patch needs to be applied as well.

#2 - 05/13/2010 12:28 pm - vl
- Status changed from New to Assigned
- Assignee set to vl

#3 - 05/13/2010 12:34 pm - vl

I let SFB add the changes inside the cmake.

I only applied the changes that modify the source code.

#4 - 05/13/2010 05:44 pm - rti

Thanks for applying.
I will split the patches in the future. 
Sorry for mixing different stuff in one patch.

#5 - 05/13/2010 07:05 pm - vl
- Assignee changed from vl to sfb
- % Done changed from 0 to 60

sfb: for you now, can you apply the cmake changes if necessary

#6 - 05/18/2010 10:25 am - vl
- Target version set to Version 0.8.0

#7 - 05/29/2010 06:15 pm - rti
- Assignee changed from sfb to rti
sfb, i hope you do not mind :)

#8 - 05/29/2010 06:28 pm - rti
- Status changed from Assigned to Resolved
- % Done changed from 60 to 100

Applied in changeset r243.

#9 - 07/16/2010 09:56 am - kervala
- Category set to Build
- Status changed from Resolved to Closed

Files
nel_build_fix_mac_64bit_macports.patch 3.4 kB 05/10/2010 rti
nel_build_fix_mac_64bit_macports_addition.patch 380 Bytes 05/12/2010 rti
